Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3606)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3607)
@@ -3234,12 +2760,6 @@
                   var(1:14) == 'usm_theta_10cm' )  THEN
             unit = 'K'
-        ELSE IF ( var == 'usm_rad_pc_inlw'  .OR.  var == 'usm_rad_pc_insw'  .OR.          &
-                  var == 'usm_rad_pc_inswdir'  .OR.  var == 'usm_rad_pc_inswdif'  .OR.    &
-                  var == 'usm_rad_pc_inswref' )  THEN
-            unit = 'W'
-        ELSE IF ( var(1:9) == 'usm_surfz'  .OR.  var(1:7) == 'usm_svf'  .OR.              & 
-                  var(1:7) == 'usm_dif'  .OR.  var(1:11) == 'usm_surfcat'  .OR.           &
-                  var(1:11) == 'usm_surfalb'  .OR.  var(1:12) == 'usm_surfemis'  .OR.     &
-                  var(1:9) == 'usm_skyvf' .OR. var(1:9) == 'usm_skyvft' )  THEN
+        ELSE IF ( var(1:9) == 'usm_surfz'  .OR.  var(1:11) == 'usm_surfcat'  .OR.         &
+                  var(1:11) == 'usm_surfalb'  .OR.  var(1:12) == 'usm_surfemis'  )  THEN
             unit = '1'
         ELSE
@@ -3336,11 +2856,6 @@
         INTEGER(iwp), DIMENSION(0:nd-1), PARAMETER             :: diridx =  (/       -1,        1,        0,        3,        2 /)
                                                                      !< index for surf_*_v: 0:3 = (North, South, East, West)
-        INTEGER(iwp), DIMENSION(0:nd-1)                        :: dirstart
-        INTEGER(iwp), DIMENSION(0:nd-1)                        :: dirend
         INTEGER(iwp)                                           :: ids,idsint,idsidx,isurf,isvf,isurfs,isurflt,ipcgb
         INTEGER(iwp)                                           :: is,js,ks,i,j,k,iwl,istat, l, m
-
-        dirstart = (/ startland, startwall, startwall, startwall, startwall /)
-        dirend = (/ endland, endwall, endwall, endwall, endwall /)
 
         found = .TRUE.
@@ -3388,20 +2903,4 @@
             READ(var(9:9), '(I1)', iostat=istat ) iwl
             IF ( istat == 0  .AND.  iwl >= nzb_wall  .AND.  iwl <= nzt_wall )  THEN
-                var = var(1:7)
-            ENDIF
-        ENDIF
-        IF ( (var(1:8) == 'usm_svf_'  .OR.  var(1:8) == 'usm_dif_')  .AND.  len(TRIM(var)) >= 13 )  THEN
-!--         svf values to particular surface
-            surfid = var(9:)
-            i = index(surfid,'_')
-            j = index(surfid(i+1:),'_')
-            READ(surfid(1:i-1),*, iostat=istat ) is
-            IF ( istat == 0 )  THEN
-                READ(surfid(i+1:i+j-1),*, iostat=istat ) js
-            ENDIF
-            IF ( istat == 0 )  THEN
-                READ(surfid(i+j+1:),*, iostat=istat ) ks
-            ENDIF
-            IF ( istat == 0 )  THEN
                 var = var(1:7)
             ENDIF
@@ -3525,301 +3024,4 @@
               ENDIF
 
-          CASE ( 'usm_skyvf' )
-!--           sky view factor
-              DO isurf = dirstart(ids), dirend(ids)
-                 IF ( surfl(id,isurf) == idsint )  THEN
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = skyvf(isurf)
-                 ENDIF
-              ENDDO
-              
-          CASE ( 'usm_skyvft' )
-!--           sky view factor
-              DO isurf = dirstart(ids), dirend(ids)
-                 IF ( surfl(id,isurf) == ids )  THEN
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = skyvft(isurf)
-                 ENDIF
-              ENDDO
-
-!
-!-- Not adjusted so far              
-          CASE ( 'usm_svf', 'usm_dif' )
-!--           shape view factors or iradiance factors to selected surface
-              IF ( TRIM(var)=='usm_svf' )  THEN
-                  k = 1
-              ELSE
-                  k = 2
-              ENDIF
-              DO isvf = 1, nsvfl
-                  isurflt = svfsurf(1, isvf)
-                  isurfs = svfsurf(2, isvf)
-                             
-                  IF ( surf(ix,isurfs) == is  .AND.  surf(iy,isurfs) == js  .AND.       &
-                       surf(iz,isurfs) == ks  .AND.  surf(id,isurfs) == idsint )  THEN
-  !--                 correct source surface
-                      temp_pf(surfl(iz,isurflt),surfl(iy,isurflt),surfl(ix,isurflt)) = svf(k,isvf)
-                  ENDIF
-              ENDDO
-
-          CASE ( 'usm_rad_net' )
-!--           array of complete radiation balance
-              IF ( av == 0 )  THEN
-                 IF ( idsint == iup_u )  THEN
-                    DO  m = 1, surf_usm_h%ns
-                       i = surf_usm_h%i(m)
-                       j = surf_usm_h%j(m)
-                       k = surf_usm_h%k(m)
-                       temp_pf(k,j,i) = surf_usm_h%rad_net_l(m)
-                    ENDDO
-                 ELSE
-                    l = idsidx
-                    DO  m = 1, surf_usm_v(l)%ns
-                       i = surf_usm_v(l)%i(m)
-                       j = surf_usm_v(l)%j(m)
-                       k = surf_usm_v(l)%k(m)
-                       temp_pf(k,j,i) = surf_usm_v(l)%rad_net_l(m)
-                    ENDDO
-                 ENDIF
-              ELSE
-                 IF ( idsint == iup_u )  THEN
-                    DO  m = 1, surf_usm_h%ns
-                       i = surf_usm_h%i(m)
-                       j = surf_usm_h%j(m)
-                       k = surf_usm_h%k(m)
-                       temp_pf(k,j,i) = surf_usm_h%rad_net_av(m)
-                    ENDDO
-                 ELSE
-                    l = idsidx
-                    DO  m = 1, surf_usm_v(l)%ns
-                       i = surf_usm_v(l)%i(m)
-                       j = surf_usm_v(l)%j(m)
-                       k = surf_usm_v(l)%k(m)
-                       temp_pf(k,j,i) = surf_usm_v(l)%rad_net_av(m)
-                    ENDDO
-                 ENDIF
-              ENDIF
-
-          CASE ( 'usm_rad_insw' )
-!--           array of sw radiation falling to surface after i-th reflection
-              DO isurf = dirstart(ids), dirend(ids)
-                 IF ( surfl(id,isurf) == idsint )  THEN
-                   IF ( av == 0 )  THEN
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfinsw(isurf)
-                   ELSE
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfinsw_av(isurf)
-                   ENDIF
-                 ENDIF
-              ENDDO
-
-          CASE ( 'usm_rad_inlw' )
-!--           array of lw radiation falling to surface after i-th reflection
-              DO isurf = dirstart(ids), dirend(ids)
-                 IF ( surfl(id,isurf) == idsint )  THEN
-                   IF ( av == 0 )  THEN
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfinlw(isurf)
-                   ELSE
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfinlw_av(isurf)
-                   ENDIF
-                 ENDIF
-              ENDDO
-
-          CASE ( 'usm_rad_inswdir' )
-!--           array of direct sw radiation falling to surface from sun
-              DO isurf = dirstart(ids), dirend(ids)
-                 IF ( surfl(id,isurf) == idsint )  THEN
-                   IF ( av == 0 )  THEN
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfinswdir(isurf)
-                   ELSE
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfinswdir_av(isurf)
-                   ENDIF
-                 ENDIF
-              ENDDO
-
-          CASE ( 'usm_rad_inswdif' )
-!--           array of difusion sw radiation falling to surface from sky and borders of the domain
-              DO isurf = dirstart(ids), dirend(ids)
-                 IF ( surfl(id,isurf) == idsint )  THEN
-                   IF ( av == 0 )  THEN
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfinswdif(isurf)
-                   ELSE
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfinswdif_av(isurf)
-                   ENDIF
-                 ENDIF
-              ENDDO
-
-          CASE ( 'usm_rad_inswref' )
-!--           array of sw radiation falling to surface from reflections
-              DO isurf = dirstart(ids), dirend(ids)
-                 IF ( surfl(id,isurf) == idsint )  THEN
-                   IF ( av == 0 )  THEN
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = &
-                       surfinsw(isurf) - surfinswdir(isurf) - surfinswdif(isurf)
-                   ELSE
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfinswref_av(isurf)
-                   ENDIF
-                 ENDIF
-              ENDDO
-
-          CASE ( 'usm_rad_inlwdif' )
-!--           array of difusion lw radiation falling to surface from sky and borders of the domain
-              DO isurf = dirstart(ids), dirend(ids)
-                 IF ( surfl(id,isurf) == idsint )  THEN
-                   IF ( av == 0 )  THEN
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfinlwdif(isurf)
-                   ELSE
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfinlwdif_av(isurf)
-                   ENDIF
-                 ENDIF
-              ENDDO
-
-          CASE ( 'usm_rad_inlwref' )
-!--           array of lw radiation falling to surface from reflections
-              DO isurf = dirstart(ids), dirend(ids)
-                 IF ( surfl(id,isurf) == idsint )  THEN
-                   IF ( av == 0 )  THEN
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfinlw(isurf) - surfinlwdif(isurf)
-                   ELSE
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfinlwref_av(isurf)
-                   ENDIF
-                 ENDIF
-              ENDDO
-
-          CASE ( 'usm_rad_outsw' )
-!--           array of sw radiation emitted from surface after i-th reflection
-              DO isurf = dirstart(ids), dirend(ids)
-                 IF ( surfl(id,isurf) == idsint )  THEN
-                   IF ( av == 0 )  THEN
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfoutsw(isurf)
-                   ELSE
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfoutsw_av(isurf)
-                   ENDIF
-                 ENDIF
-              ENDDO
-
-          CASE ( 'usm_rad_outlw' )
-!--           array of lw radiation emitted from surface after i-th reflection
-              DO isurf = dirstart(ids), dirend(ids)
-                 IF ( surfl(id,isurf) == idsint )  THEN
-                   IF ( av == 0 )  THEN
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfoutlw(isurf)
-                   ELSE
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfoutlw_av(isurf)
-                   ENDIF
-                 ENDIF
-              ENDDO
-
-          CASE ( 'usm_rad_ressw' )
-!--           average of array of residua of sw radiation absorbed in surface after last reflection
-              DO isurf = dirstart(ids), dirend(ids)
-                 IF ( surfl(id,isurf) == idsint )  THEN
-                   IF ( av == 0 )  THEN
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfins(isurf)
-                   ELSE
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfins_av(isurf)
-                   ENDIF
-                 ENDIF
-              ENDDO
-
-          CASE ( 'usm_rad_reslw' )
-!--           average of array of residua of lw radiation absorbed in surface after last reflection
-              DO isurf = dirstart(ids), dirend(ids)
-                 IF ( surfl(id,isurf) == idsint )  THEN
-                   IF ( av == 0 )  THEN
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfinl(isurf)
-                   ELSE
-                     temp_pf(surfl(iz,isurf),surfl(iy,isurf),surfl(ix,isurf)) = surfinl_av(isurf)
-                   ENDIF
-                 ENDIF
-              ENDDO
-
-          CASE ( 'usm_rad_pc_inlw' )
-!--           array of lw radiation absorbed by plant canopy
-              DO ipcgb = 1, npcbl
-                  IF ( av == 0 )  THEN
-                      temp_pf(pcbl(iz,ipcgb),pcbl(iy,ipcgb),pcbl(ix,ipcgb)) = pcbinlw(ipcgb)
-                  ELSE
-                      temp_pf(pcbl(iz,ipcgb),pcbl(iy,ipcgb),pcbl(ix,ipcgb)) = pcbinlw_av(ipcgb)
-                  ENDIF
-              ENDDO
-
-          CASE ( 'usm_rad_pc_insw' )
-!--           array of sw radiation absorbed by plant canopy
-              DO ipcgb = 1, npcbl
-                  IF ( av == 0 )  THEN
-                      temp_pf(pcbl(iz,ipcgb),pcbl(iy,ipcgb),pcbl(ix,ipcgb)) = pcbinsw(ipcgb)
-                  ELSE
-                      temp_pf(pcbl(iz,ipcgb),pcbl(iy,ipcgb),pcbl(ix,ipcgb)) = pcbinsw_av(ipcgb)
-                  ENDIF
-              ENDDO
-
-          CASE ( 'usm_rad_pc_inswdir' )
-!--           array of direct sw radiation absorbed by plant canopy
-              DO ipcgb = 1, npcbl
-                  IF ( av == 0 )  THEN
-                      temp_pf(pcbl(iz,ipcgb),pcbl(iy,ipcgb),pcbl(ix,ipcgb)) = pcbinswdir(ipcgb)
-                  ELSE
-                      temp_pf(pcbl(iz,ipcgb),pcbl(iy,ipcgb),pcbl(ix,ipcgb)) = pcbinswdir_av(ipcgb)
-                  ENDIF
-              ENDDO
-
-          CASE ( 'usm_rad_pc_inswdif' )
-!--           array of diffuse sw radiation absorbed by plant canopy
-              DO ipcgb = 1, npcbl
-                  IF ( av == 0 )  THEN
-                      temp_pf(pcbl(iz,ipcgb),pcbl(iy,ipcgb),pcbl(ix,ipcgb)) = pcbinswdif(ipcgb)
-                  ELSE
-                      temp_pf(pcbl(iz,ipcgb),pcbl(iy,ipcgb),pcbl(ix,ipcgb)) = pcbinswdif_av(ipcgb)
-                  ENDIF
-              ENDDO
-
-          CASE ( 'usm_rad_pc_inswref' )
-!--           array of reflected sw radiation absorbed by plant canopy
-              DO ipcgb = 1, npcbl
-                  IF ( av == 0 )  THEN
-                      temp_pf(pcbl(iz,ipcgb),pcbl(iy,ipcgb),pcbl(ix,ipcgb)) = pcbinsw(ipcgb)      &
-                                                                              - pcbinswdir(ipcgb) &
-                                                                              - pcbinswdif(ipcgb)
-                  ELSE
-                      temp_pf(pcbl(iz,ipcgb),pcbl(iy,ipcgb),pcbl(ix,ipcgb)) = pcbinswref_av(ipcgb)
-                  ENDIF
-              ENDDO
- 
-          CASE ( 'usm_rad_hf' )
-!--           array of heat flux from radiation for surfaces after all reflections
-              IF ( av == 0 )  THEN
-                 IF ( idsint == iup_u )  THEN
-                    DO  m = 1, surf_usm_h%ns
-                       i = surf_usm_h%i(m)
-                       j = surf_usm_h%j(m)
-                       k = surf_usm_h%k(m)
-                       temp_pf(k,j,i) = surf_usm_h%surfhf(m)
-                    ENDDO
-                 ELSE
-                    l = idsidx
-                    DO  m = 1, surf_usm_v(l)%ns
-                       i = surf_usm_v(l)%i(m)
-                       j = surf_usm_v(l)%j(m)
-                       k = surf_usm_v(l)%k(m)
-                       temp_pf(k,j,i) = surf_usm_v(l)%surfhf(m)
-                    ENDDO
-                 ENDIF
-              ELSE
-                 IF ( idsint == iup_u )  THEN
-                    DO  m = 1, surf_usm_h%ns
-                       i = surf_usm_h%i(m)
-                       j = surf_usm_h%j(m)
-                       k = surf_usm_h%k(m)
-                       temp_pf(k,j,i) = surf_usm_h%surfhf_av(m)
-                    ENDDO
-                 ELSE
-                    l = idsidx
-                    DO  m = 1, surf_usm_v(l)%ns
-                       i = surf_usm_v(l)%i(m)
-                       j = surf_usm_v(l)%j(m)
-                       k = surf_usm_v(l)%k(m)
-                       temp_pf(k,j,i) = surf_usm_v(l)%surfhf_av(m)
-                    ENDDO
-                 ENDIF
-              ENDIF
- 
           CASE ( 'usm_wshf' )
 !--           array of sensible heat flux from surfaces
@@ -3975,7 +3177,4 @@
               ENDIF
 
-
-
-
           CASE ( 'usm_wghf' )
 !--           array of heat flux from ground (land, wall, roof)
@@ -4527,14 +3726,5 @@
 
         var = TRIM(variable)
-        IF ( var(1:12) == 'usm_rad_net_'  .OR.  var(1:13) == 'usm_rad_insw_'  .OR.          &
-             var(1:13) == 'usm_rad_inlw_'  .OR.  var(1:16) == 'usm_rad_inswdir_'  .OR.      &
-             var(1:16) == 'usm_rad_inswdif_'  .OR.  var(1:16) == 'usm_rad_inswref_'  .OR.   &
-             var(1:16) == 'usm_rad_inlwdif_'  .OR.  var(1:16) == 'usm_rad_inlwref_'  .OR.   &
-             var(1:14) == 'usm_rad_outsw_'  .OR.  var(1:14) == 'usm_rad_outlw_'  .OR.       &
-             var(1:14) == 'usm_rad_ressw_'  .OR.  var(1:14) == 'usm_rad_reslw_'  .OR.       &
-             var(1:11) == 'usm_rad_hf_'  .OR.  var == 'usm_rad_pc_inlw'  .OR.               &
-             var == 'usm_rad_pc_insw'  .OR.  var == 'usm_rad_pc_inswdir'  .OR.              &
-             var == 'usm_rad_pc_inswdif'  .OR.  var == 'usm_rad_pc_inswref'  .OR.           &
-             var(1:9) == 'usm_wshf_'  .OR.  var(1:9) == 'usm_wghf_'  .OR.                   &
+        IF ( var(1:9) == 'usm_wshf_'  .OR.  var(1:9) == 'usm_wghf_'  .OR.                   &
              var(1:16) == 'usm_wghf_window_'  .OR. var(1:15) == 'usm_wghf_green_' .OR.      &
              var(1:10) == 'usm_iwghf_'  .OR. var(1:17) == 'usm_iwghf_window_' .OR.          &
@@ -4545,9 +3735,7 @@
              var(1:16) == 'usm_t_surf_green'  .OR. var(1:11) == 'usm_t_green' .OR.          &
              var(1:15) == 'usm_theta_10cm' .OR.                                             &
-             var(1:9) == 'usm_surfz'  .OR.  var(1:7) == 'usm_svf'  .OR.                     & 
-             var(1:7) == 'usm_dif'  .OR.  var(1:11) == 'usm_surfcat'  .OR.                  &
+             var(1:9) == 'usm_surfz'  .OR.  var(1:11) == 'usm_surfcat'  .OR.                  &
              var(1:11) == 'usm_surfalb'  .OR.  var(1:12) == 'usm_surfemis'  .OR.            &
-             var(1:16) == 'usm_surfwintrans'  .OR. var(1:7) == 'usm_swc' .OR.               &
-             var(1:9) == 'usm_skyvf' .OR. var(1:9) == 'usm_skyvft' ) THEN
+             var(1:16) == 'usm_surfwintrans'  .OR. var(1:7) == 'usm_swc' ) THEN
 
             found = .TRUE.
@@ -10176,5 +9364,5 @@
           CALL wrd_write_string( 't_green_v(' // dum // ')' )
           WRITE ( 14 )  t_green_v(l)%t
-!        
+       
        ENDDO
 
